# Get Webhooks

## /webhooks

<mark style="color:blue;">`GET`</mark> `https://api.terminal.africa/v1/webhooks`

This endpoint allows you to get a list of existing webhooks.

#### Query Parameters

| Name    | Type   | Description                                                                     |
| ------- | ------ | ------------------------------------------------------------------------------- |
| perPage | number | Specify how many results will be returned in a single request. Defaults to 100. |
| page    | number | Specify the page of results that will be returned in request. Defaults to 1.    |

{% tabs %}
{% tab title="200: OK Webhooks retrieved successfully." %}

```javascript
{
    "status": true,
    "message": "Webhooks retreived successfully",
    "data": {
        "webhooks": [
            {
                "_id": "62a0b6dc28bf3cef7bb936fd",
                "active": false,
                "event":  [
                    "shipment.created",
                    "shipment.updated"
                ],
                "live": false,
                "name": "My Test Webhook",
                "url": "https://webhook.site/f80b40b7-8004-4fd9-82c0-40f6ccb41cd1",
                "user": "USER-12568655307",
                "webhook_id": "WA-85241442320",
                "created_at": "2022-06-08T14:49:00.190Z",
                "updated_at": "2022-08-01T11:30:54.678Z",
                "__v": 0,
                "id": "62a0b6dc28bf3cef7bb936fd"
            }
        ],
        "pagination": {
            "page": 1,
            "perPage": 100,
            "prevPage": null,
            "nextPage": null,
            "currentPage": 1,
            "total": 1,
            "pageCount": 1,
            "pagingCounter": 1,
            "hasPrevPage": false,
            "hasNextPage": false
        }
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.terminal.africa/tship/webhooks/get-webhooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
